### NAME

append - Append to variable

### SYNOPSIS

append varName ?value value value ...?

### DESCRIPTION

Append all of the value arguments to the current value of variable varName. If varName doesn't exist, it is given a value equal to the concatenation of all the value arguments. The result of this command is the new value stored in variable varName. This command provides an efficient way to build up long variables incrementally. For example, ``append a $b'' is much more efficient than ``set a $a$b'' if $a is long.

### EXAMPLE

Building a string of comma-separated numbers piecemeal using a loop.

    set var 0
    for {set i 1} {$i<=10} {incr i} {
       append var "," $i
    }
    puts $var
    # Prints 0,1,2,3,4,5,6,7,8,9,10

### SEE ALSO

concat, lappend

### KEYWORDS

append, variable

    Copyright © 1993 The Regents of the University of California.
    Copyright © 1994-1996 Sun Microsystems, Inc.
    Copyright © 1995-1997 Roger E. Critchlow Jr.